function permutation = FisherYatesB (L)
% La fonction 'FisherYatesB' génère une permutation aléatoire uniforme de la liste 'L', appelée 'permutation', par l'algorithme de Fisher-Yates. C'est essentiellement le même programme que 'FisherYates', à part qu'il faut tenir compte qu'ici on a une liste générale L et non une liste de la forme [1,...,n].

% 'n' est la longueur de la liste L.
n = length (L);

% On initialise 'permutation' par L.
permutation = L;

% La suite est la même que pour 'FisherYates'.
for i = n:-1:2
    indice = ceil(i*rand);
    aux = permutation(i);
    permutation(i) = permutation(indice);
    permutation(indice) = aux;
end

return
end

