function MC_tournoi (N)
% La fonction 'MC_tournoi' évalue la probabilité de victoire de #16 dans le
% tournoi de tennis. 'N' est le nombre de simulations demandées.

% Il s'agit d'une brave simulation de Monte-Carlo “naïve”, rendue encore
% plus simple ici par le fait qu'on regarde une variable de Bernoulli (de
% sorte que “S” et “S2” coïncident, et correspondent au nombre 'succes' de
% succès ; et la variance de la variable de Bernoulli se déduit
% automatiquement de son espérance).
succes = 0;
for i = 1:N
    % Souvenez-vous de la convention implicite entre les booléens et les
    % valeurs 0 et 1.
    succes = succes + seizegagne;
end
p = succes / N;
variance = p * (1-p);
fprintf ...
    ('Estimation de la probabilité de succès de #16 : %.7f ± %.7f\n', ...
    p, 1.96*sqrt(variance / N));
end