function joueursenlice = tableau_strat (i)
% 'tableau_strat' tire un tableau uniformément au sein de la strate #i, càd. que le plus fort joueur de la moitié de tableau du joueur #16 (toujours placé en début de tableau) doit être le joueur #i (ou éventuellement un joueur moins fort dans le cas où i=5). Le tableau retourné, présenté sous la forme d'une liste, s'appelle 'joueursenlice'.

% On commence par le cas le plus simple, quand i vaut 5 : il faut alors que les 7 joueurs de la moitié de tableau de #16 ne soient ni #1, ni #2, ni #3, ni #4, et c'est tout.
if (i > 4)
% Tirer uniformément sous la contrainte annoncée revient à tirer 7 nombres dans remise entre 5 et 15. Cela est encore équivalent à prendre les 7 premiers éléments d'une permutation aléatoire de {5,...,15}, permutation qu'on appelle 'permutation'. On appelle 'moitiegauche' les 7 joueurs (outre #16) de la moitié gauche du tableau.
permutation = FisherYatesB ([5:15]);
moitiegauche = permutation(1:7);
% Maintenant, il nous faut mélanger uniformément les joueurs de 'permutation' qui ne sont pas dans 'moitiegauche' (correspondant aux positions 8 à 11 de 'permutation') ainsi que les joueurs #1 à #4; on appelle le résultat 'moitiedroite'.
moitiedroite = FisherYatesB ([permutation(8:11), 1:4]);
% On met les morceaux du tableau ensemble et on renvoie le tout.
joueursenlice = [16, moitiegauche, moitiedroite];
return

% La cas où i est inférieur ou égal à 4 est un chouïa plus compliqué, car il faut que non seulement les joueurs plus forts que #i soient dans la moitié de tableau opposée, mais qu'en plus #i soit dans la moitié gauche du tableau. De ce fait, il n'y a que 6 joueurs à tirer au sort pour la moitié gauche du tableau. Le principe de base reste toutefois le même, au cas près du joueur #i que nous traiterons plus loin.
else
permutation = FisherYatesB ([i+1:15]);
moitiegauche = permutation(1:6);
moitiedroite = FisherYatesB ([permutation(7:15-i), 1:i-1]);
% Il faut maintenant insérer le joueur #i dans la moitié gauche du tableau. Il y a 7 positions possibles, de la seconde à la huitième (la première étant occupée par #16), qui sont évidemment équiprobables. On appelle 'p' la position du joueur #i.
p = 2 + floor(7*rand);
joueursenlice = [16, moitiegauche(1:p-2), i, moitiegauche(p-1:6), moitiedroite];
return
end

end
