function v = vainqueur (n0, n1)
% La fonction 'vainqueur' fait la même chose 'vainqueur_naif', mais avec
% une petite amélioration pour gagner du temps.

% En reprenant les notations du code 'vainqueur_naif', ce qui nous
% intéresse pour déterminer le vainqueur est le signe de (niveau1-niveau0).
% Or, d'après les propriétés des vecteurs gaussiens indépendants, cette
% variable suit la loi (log(n0)-log(n1)+N(1)) [rappelons que le « 1 »
% intervient comme 0,5 + (-1)^2*0,5]. En outre, trouver le signe d'une loi
% m+N(sigma^2) revient à comparer une loi N(sigma^2) à -m, ou encore, par
% symétrie, à la comparer à m. D'où le code ci-dessous.

if randn < log(n0) - log(n1)
    v = n1;
else
    v = n0;
end

return
end