function v = vainqueur_naif (n0, n1)
% La fonction 'vainqueur_naif' simule le vainqueur d'une rencontre entre les
% joueurs #n1 et #n2. J'ai suffixé la fonction par "naif", dans le mesure
% où il existe une astuce qui rend la simulation plus rapide : voir la
% fonction 'vainqueur'.

% 'niveau0' et 'niveau1' sont les niveaux respectifs du premier et du
% second joueur.
niveau0 = -log(n0) + sqrt(.5) * randn;
niveau1 = -log(n1) + sqrt(.5) * randn;
% On regarde qui a joué au meilleur niveau.
if niveau1 > niveau0
    v = n1;
else
    v = n0;
end

return
end